# -*- encoding : utf-8 -*-
class Admin::MenusController < ApplicationController
  before_filter :authenticate_admin!
  layout "admin"


  

  def index
    @breadcrumb = ["liste des menus"]
    
    @order = magick_order("name", "ASC")

    @menus = Menu.order(@order).page(magick_page()).per(magick_per_page())
  
    if @menus.num_pages.to_i < magick_page().to_i
      params[:page] = @menus.num_pages
      @menus = Menu.order(@order).page(magick_page()).per(magick_per_page())
    end
    
  end

  def show
  end

  def new
    @breadcrumb = [["liste des menus", admin_menus_path],"Ajouter un menu"]
    @menu = Menu.new
    
  end

  def create
    @breadcrumb = [["liste des menus", admin_menus_path],"Ajouter un menu"]
    @menu = Menu.new(params[:menu])

    respond_to do |format|
      if @menu.save
        flash[:notice] = "Le menu à été ajouté avec succès."
        format.html { redirect_to(admin_menus_path) }
      else
        format.html { render :action => "new" }
      end
    end
  end

  def edit
    @breadcrumb = [["liste des menus", admin_menus_path],"Modifier un menu"]
    @menu = Menu.find(params[:id])

    
  end

  def update
    @breadcrumb = [["liste des menus", admin_menus_path],"Modifier un menu"]
    @menu = Menu.find(params[:id])
    respond_to do |format|
      if @menu.update_attributes(params[:menu])
        
        flash[:notice] = "Le menu à été modifié avec succès."
        format.html { redirect_to(admin_menus_path) }
      else
        format.html { render :action => "edit" }
      end
    end
  end

  def destroy
    @menu = Menu.find(params[:id])
    @menu.destroy

    respond_to do |format|
      format.html { 
        redirect_to(admin_menus_url, :notice  => "Le menu a bien été supprimé.") 
      }
    end
    
  end

end
